## edu.stanford.nlp.trees.tregex.gui
Class TreeFromFile

    java.lang.Object
      edu.stanford.nlp.trees.tregex.gui.TreeFromFile

    public class TreeFromFile

extends Object

Simple utility class for storing a tree as well as the sentence the tree represents and a label with the filename of the file that the tree was stored in.

Author:
  Anna Rafferty

Constructor Summary
`TreeFromFile(Tree t)`
`TreeFromFile(Tree t, String filename)`

Method Summary
`Set<Constituent>` `getDiffConstituents()`
`Tree` `getDiffDecoratedTree()`
`String` `getFilename()`
`JTextField` `getLabel()`
`int` `getSentenceId()`
`Tree` `getTree()`
`void` `setDiffConstituents(Set<Constituent> lessConstituents)`
`void` `setDiffDecoratedTree(Tree decoratedTree)`
`void` `setFilename(String filename)`
`String` `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### TreeFromFile

    public TreeFromFile(Tree t)

### TreeFromFile

    public TreeFromFile(Tree t,
                        String filename)

Method Detail

### getFilename

    public String getFilename()

### setFilename

    public void setFilename(String filename)

### getSentenceId

    public int getSentenceId()

### getTree

    public Tree getTree()

### getLabel

    public JTextField getLabel()

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### setDiffConstituents

    public void setDiffConstituents(Set<Constituent> lessConstituents)

### getDiffConstituents

    public Set<Constituent> getDiffConstituents()

### setDiffDecoratedTree

    public void setDiffDecoratedTree(Tree decoratedTree)

### getDiffDecoratedTree

    public Tree getDiffDecoratedTree()

Stanford NLP Group